Skip to main content

Read-only mode

info

In this mode, Download is the only operation you can perform.

By default the read-only mode is set to false (disabled). To switch to the read-only mode, set the readonly property to true and define it on the Filemanager component.

import { Filemanager } from "@svar-ui/react-filemanager";
import { getData, getDrive } from "./common/data";

export default function App() {
const data = getData();
const drive = getDrive();

return (
<Filemanager
data={data}
drive={drive}
readonly={true}
/>
);
}

Related sample: Readonly mode

Read-only mode
info
In this mode, Download is the only operation you can perform.
By default the read-only mode is set to false (disabled).
To switch to the read-only mode, set the readonly property to true and define it inside the Filemanager tag.
<script setup>
import { Filemanager } from "@svar-ui/vue-filemanager";
import { getData, getDrive } from "./common/data";
</script>
<template>
<Filemanager
:data="getData()"
:drive="getDrive()"
:readonly="true" />
</template>
Related sample: Readonly mode